=== added file 'doc/common_uncommon_filtering.png'
Binary files doc/common_uncommon_filtering.png and doc/common_uncommon_filtering.png differ
=== added file 'doc/ending_search.png'
Binary files doc/ending_search.png and doc/ending_search.png differ
=== added file 'doc/font.png'
Binary files doc/font.png and doc/font.png differ
=== added file 'doc/grade_search.png'
Binary files doc/grade_search.png and doc/grade_search.png differ
=== modified file 'doc/index.cache.bz2'
Binary files doc/index.cache.bz2 and doc/index.cache.bz2 differ
=== modified file 'doc/index.docbook'
--- doc/index.docbook	2011-07-10 11:23:47 +0000
+++ doc/index.docbook	2012-04-02 17:58:59 +0000
@@ -19,13 +19,18 @@
 <address>&Jason.Katz-Brown.mail;</address>
 </affiliation>
 </author>
+<author>
+<firstname>Daniel E.</firstname>
+<surname>Moctezuma</surname>
+<email>democtezuma@gmail.com</email>
+</author>
 <!-- TRANS:ROLES_OF_TRANSLATORS -->
 </authorgroup>
 
 <legalnotice>&FDLNotice;</legalnotice>
 
-<date>2010-07-15</date>
-<releaseinfo>1.2 (&kde; 4.5)</releaseinfo>
+<date>2012-03-14</date>
+<releaseinfo>1.3 (&kde; 4.8)</releaseinfo>
 
 <!-- Abstract about this handbook -->
 
@@ -42,10 +47,10 @@
 
 </bookinfo>
 
-<chapter id="introduction"> 
+<chapter id="introduction">
 <title>Introduction</title>
 
-<para>&kiten; is an application with multiple functions.  Firstly, it
+<para>&kiten; is a set of 3 tools with multiple functions. Firstly, it
 is a convenient English to Japanese and Japanese to English
 dictionary; secondly, it is a Kanji dictionary, with multiple ways to
 look up specific characters; thirdly, it is a tool to help you learn
@@ -56,14 +61,14 @@
 <screenshot>
 <screeninfo>Here's a screenshot of &kiten;</screeninfo>
 <mediaobject>
-<imageobject><imagedata fileref="kiten1.png" format="PNG"/></imageobject>
+<imageobject><imagedata fileref="introduction.png" format="PNG"/></imageobject>
 <textobject><phrase>&kiten; screenshot</phrase></textobject>
 </mediaobject>
 </screenshot>
 
 </chapter>
 
-<chapter id="dictionary"> 
+<chapter id="dictionary">
 <title>Using the Dictionary</title>
 
 <para>&kiten;'s most basic mode is as a dictionary for looking up both
@@ -72,7 +77,7 @@
 
 <para>&kiten; uses Jim Breen's Edict and Kanjidic as the default dictionaries. You can find more information at <ulink url="http://www.csse.monash.edu.au/~jwb/edict.html">the Edict web site</ulink> and <ulink url="http://www.csse.monash.edu.au/~jwb/kanjidic.html">the Kanjidic web site</ulink>.</para>
 
-<sect1 id="looking-up-words"> 
+<sect1 id="looking-up-words">
 <title>Looking Up Words</title>
 
 <para>To look up words in either language, type them in to the
@@ -88,12 +93,12 @@
 <screenshot>
 <screeninfo>searching for an English translation</screeninfo>
 <mediaobject>
-<imageobject><imagedata fileref="kiten2.png" format="PNG"/></imageobject>
+<imageobject><imagedata fileref="looking_up_words.png" format="PNG"/></imageobject>
 <textobject><phrase>&kiten; search screenshot</phrase></textobject>
 </mediaobject>
 </screenshot>
 
-<sect2> 
+<sect2 id="filtering">
 <title>Filtering</title>
 
 <para>Often times you will want to filter rare words from your
@@ -104,90 +109,153 @@
 <note><para>Not all dictionary files support filtering rare entries -
 most dictionaries, excluding the two provided by default in &kiten; do
 not.</para></note>
+
+<screenshot>
+<screeninfo>Screenshot using filtering of rare words</screeninfo>
+<mediaobject>
+<imageobject><imagedata fileref="with_filtering.png" format="PNG"/></imageobject>
+<textobject><phrase>&kiten; filtering search</phrase></textobject>
+</mediaobject>
+</screenshot>
+
+</sect2>
+
+<sect2 id="common-uncommon-words">
+<title>Common/Uncommon words</title>
+<para>Another way to separate information is to filter common and uncommon words,
+this is useful when you want to focus on the common words and/or have interest
+on uncommon ones. The only difference between Filter Out Rare and Common/Uncommon
+options is that here you also get the Rare/Uncommon results.</para>
+
+<screenshot>
+<screeninfo>Screenshot for match common/uncommon</screeninfo>
+<mediaobject>
+<imageobject><imagedata fileref="common_uncommon_filtering.png" format="PNG"/></imageobject>
+<textobject><phrase>&kiten; match common/uncommon</phrase></textobject>
+</mediaobject>
+</screenshot>
+
+</sect2>
+
 <!-- not in kde4
 <para>If you have not enabled filtering rare entries, common entries
 will be labeled <guilabel>Common</guilabel> in the result view.</para>
 -->
-</sect2>
-
 </sect1>
 
-<sect1 id="advanced-searches"> 
+<sect1 id="advanced-searches">
 <title>Advanced Searches</title>
 
 <para>&kiten; supports more advanced searches than plain normal word
 searches.</para>
 
-<sect2> 
-<title>Beginning/Anywhere Searches</title>
+<sect2 id="beginning-ending-anywhere-searches">
+<title>Beginning/Ending/Anywhere Searches</title>
 <para>Beside a search with <guilabel>Exact Match</guilabel> &kiten; has
-two additional search modes</para>
+three additional search modes</para>
 <para>To search for the beginning of a word, instead of pressing the
 <guilabel>Search</guilabel> button on the toolbar or pressing
 <keycap>Return</keycap> on the text-entry in the toolbar, choose
 using the <menuchoice><guimenu>Search</guimenu><guisubmenu>Match Type
-</guisubmenu><guimenuitem>Match Beginning</guimenuitem></menuchoice>. Similarly, choose
-<menuchoice><guimenu>Search</guimenu><guisubmenu>Match
-Type</guisubmenu><guimenuitem>Match Anywhere</guimenuitem></menuchoice> to search for your text anywhere
-in a word. These search modes work for searches of both
+</guisubmenu><guimenuitem>Match Beginning</guimenuitem></menuchoice>.
+Similarly, for ending or anywhere searches, choose <menuchoice><guimenu>Search</guimenu>
+<guisubmenu>Match Type</guisubmenu><guimenuitem>Match Anywhere</guimenuitem></menuchoice>
+to search for your text anywhere in a word. These search modes work for searches of both
 languages.</para>
 
-</sect2>
-
-<sect2> 
+<screenshot>
+<screeninfo>Screenshot for match ending search</screeninfo>
+<mediaobject>
+<imageobject><imagedata fileref="ending_search.png" format="PNG"/></imageobject>
+<textobject><phrase>&kiten; match ending search</phrase></textobject>
+</mediaobject>
+</screenshot>
+
+</sect2>
+
+<sect2 id="word-type-searches">
+<title>Word type searches</title>
+<para>&kappname; supports word type searches such as: verb, noun, adjective, adverb,
+prefix, suffix, expression or any type. This way you can filter your results
+more conveniently.</para>
+
+<screenshot>
+<screeninfo>Screenshot for match word type</screeninfo>
+<mediaobject>
+<imageobject><imagedata fileref="word_type_results.png" format="PNG"/></imageobject>
+<textobject><phrase>&kiten; match word type</phrase></textobject>
+</mediaobject>
+</screenshot>
+
+</sect2>
+
+<sect2 id="searching-in-results">
 <title>Searching in Results</title>
 
 <para>&kiten; can also help you refine your searches by allowing you
 to search for new text in the results generated by a previous
 search. To do this, just choose
 <menuchoice><guimenu>Search</guimenu><guimenuitem>Search in
-Results</guimenuitem></menuchoice> to perform your search.</para>
+Results</guimenuitem></menuchoice> to perform your search. Similarly to
+beginning/ending/anywhere searches, this works for both languages too.</para>
+
+<screenshot>
+<screeninfo>Screenshot for search in results</screeninfo>
+<mediaobject>
+<imageobject><imagedata fileref="search_in_results.png" format="PNG"/></imageobject>
+<textobject><phrase>&kiten; search in results</phrase></textobject>
+</mediaobject>
+</screenshot>
 
 </sect2>
 
 </sect1>
 
-<sect1 id="deinf"> 
+<sect1 id="deinf">
 <title>Verb Deinflection</title>
 
-<para>&kiten; can deinflect verbs you search for. To enable this, make
-sure you have enabled the "builtin" dictionary for verb deinflection. &kiten;
-will then deinflect Japanese you search for that starts with a Kanji
-and ends with a Kana.</para>
-<para>
-The "Deinflect" option tries to unconjugate Japanese verbs. Deinflect only supports the common verb conjugations. If you search a lot of Japanese text you might consider using this option until you get used to handling Japanese verb forms.
+<para>&kiten; can deinflect verbs you search for. The "Deinflect" option
+tries to unconjugate Japanese verbs and shows you a message on top of
+the results about the type of verb you entered.
+If you search a lot of Japanese text you might consider using this option
+until you get used to handling Japanese verb forms.
 </para>
+
+<screenshot>
+<screeninfo>Screenshot for verb deinflection</screeninfo>
+<mediaobject>
+<imageobject><imagedata fileref="verb_deinflection.png" format="PNG"/></imageobject>
+<textobject><phrase>&kiten; verb deinflection search</phrase></textobject>
+</mediaobject>
+</screenshot>
+
 </sect1>
 
 </chapter>
 
-<chapter id="looking-up-kanji"> 
+<chapter id="looking-up-kanji">
 <title>Looking Up Kanji</title>
 
 <para>&kiten; has features that makes finding the one kanji you want
 easy from over 14,000 in the default dictionary.</para>
 
-<note> <para>Clicking on any Kanji in the main result view will show
+<note><para>Clicking on any Kanji in the main result view will show
 details on that particular Kanji. This can sometimes be the fastest
-way to look up a kanji.</para></note>
+way to look up a Kanji.</para></note>
 
 <tip><para>Kanji searches are also filtered according to whether
 <menuchoice><guimenu>Search</guimenu><guimenuitem>Filter
 Out Rare</guimenuitem></menuchoice> is checked.</para></tip>
 
-<sect1 id="regular-kanji-search"> 
+<sect1 id="regular-kanji-search">
 <title>Regular Searching</title>
 
 <para>You can search with English and Japanese search strings the
 exact same way you can with the normal dictionary.</para>
 
-<caution><para>When searching for Kana readings in the Kanji
-dictionary, you will have to put a period before the okurigana (the
-kana that are not part of the Kanji).</para></caution>
-
 </sect1>
 
-<sect1 id="radical-search"> 
+<sect1 id="radical-search">
 <title>Radical Searching</title>
 
 <para>You can use &kiten;'s radical search dialog to search for Kanji
@@ -196,7 +264,7 @@
 Selector</guimenuitem></menuchoice> to open the radical search
 dialog.</para>
 
-<para>To choose the radicals you want to be in your Kanji, select one 
+<para>To choose the radicals you want to be in your Kanji, select one
 them from the buttons at the bottom of the window. To display possible radicals to select from
 this buttons with a certain number of strokes, choose this number of
 strokes from the spinboxes just above the buttons. The radicals you
@@ -208,33 +276,92 @@
 <para>To perform the lookup, press the button that matches the kanji you
 wanted to look up.</para>
 
+<screenshot>
+<screeninfo>Screenshot for radical selector</screeninfo>
+<mediaobject>
+<imageobject><imagedata fileref="radical_selector.png" format="PNG"/></imageobject>
+<textobject><phrase>&kiten; radical selector</phrase></textobject>
+</mediaobject>
+</screenshot>
+
 </sect1>
 
-<sect1 id="grade-search"> 
+<sect1 id="grade-search">
 <title>Grade Search</title>
 
 <para>To get a list of all Kanji in a certain grade, enter that into the search
-box as "G:4" (G: is the Kanjidic tag for grade).</para>
+box as "G:1" (G: is the Kanjidic tag for grade).</para>
+
+<screenshot>
+<screeninfo>Screenshot for kanji grade search</screeninfo>
+<mediaobject>
+<imageobject><imagedata fileref="grade_search.png" format="PNG"/></imageobject>
+<textobject><phrase>&kiten; kanji grade search</phrase></textobject>
+</mediaobject>
+</screenshot>
 
 </sect1>
 
-<sect1 id="stroke-search"> 
+<sect1 id="stroke-search">
 <title>Stroke Search</title>
 
 <para>To get a list of all Kanji with a certain number of strokes,
-enter that number in the text-entry in the toolbar as "S:4".</para>
+enter that number in the text-entry in the toolbar as "S:2".</para>
+
+<screenshot>
+<screeninfo>Screenshot for kanji strokes search</screeninfo>
+<mediaobject>
+<imageobject><imagedata fileref="stroke_search.png" format="PNG"/></imageobject>
+<textobject><phrase>&kiten; kanji strokes search</phrase></textobject>
+</mediaobject>
+</screenshot>
+
+</sect1>
+
+<sect1 id="kanji-list">
+<title>Kanji List</title>
+
+<para>This part of the Kanji Browser lets you visualize a list of kanji
+filtered by grade and number of strokes. By Clicking on a kanji you can
+get detailed information about it. Kanji Browser separates the list in
+Jouyou, Jinmeiyou and non-Jouyou kanji. All this kanji is available
+thanks to the KANJIDIC dictionary.</para>
+
+<screenshot>
+<screeninfo>Screenshot for kanji list</screeninfo>
+<mediaobject>
+<imageobject><imagedata fileref="kanji_list.png" format="PNG"/></imageobject>
+<textobject><phrase>&kiten; kanji list</phrase></textobject>
+</mediaobject>
+</screenshot>
+
+</sect1>
+
+<sect1 id="kanji-info">
+<title>Kanji Information</title>
+
+<para>This part shows you detailed information about a kanji such as:
+kanji stroke order, number of strokes, readings and meanings.</para>
+
+<screenshot>
+<screeninfo>Screenshot for kanji information</screeninfo>
+<mediaobject>
+<imageobject><imagedata fileref="kanji_information.png" format="PNG"/></imageobject>
+<textobject><phrase>&kiten; kanji information</phrase></textobject>
+</mediaobject>
+</screenshot>
 
 </sect1>
 
 </chapter>
 
-<chapter id="misc"> 
+<chapter id="misc">
 <title>Miscellaneous</title>
 
 <para>This chapter describes miscellaneous features that can be used
 in both modes in &kiten;'s main window.</para>
 
-<sect1 id="history"> 
+<sect1 id="history">
 <title>The History</title>
 <!-- changed in kde4-->
 <para>&kiten; keeps track of all of your queries in the input field. You can
@@ -246,7 +373,7 @@
 
 </sect1>
 <!-- how to do that in kde4 ?
-<sect1 id="global-keys"> 
+<sect1 id="global-keys">
 <title>Global Shortcuts</title>
 
 <para>You can set global &kiten; shortcuts that work everywhere on
@@ -260,10 +387,10 @@
 
 </sect1>
 -->
-<sect1 id="fonts"> 
+<sect1 id="fonts">
 <title>Fonts</title>
 
-<para>You can choose the font that &kiten; uses in its result view. 
+<para>You can choose the font that &kiten; uses in its result view.
 Go to the &kiten; configuration dialog, which can be
 opened by choosing
 <menuchoice><guimenu>Settings</guimenu><guimenuitem>Configure
@@ -277,6 +404,14 @@
 font in the chooser and everything should still display
 fine.</para></note>
 
+<screenshot>
+<screeninfo>Screenshot for font</screeninfo>
+<mediaobject>
+<imageobject><imagedata fileref="font.png" format="PNG"/></imageobject>
+<textobject><phrase>&kiten; font</phrase></textobject>
+</mediaobject>
+</screenshot>
+
 </sect1>
 
 </chapter>
@@ -289,10 +424,10 @@
 <itemizedlist>
 <title>Developers</title>
 <listitem>
-<para>&Jason.Katz-Brown; &Jason.Katz-Brown.mail;</para>
+<para>&Jason.Katz-Brown; &Jason.Katz-Brown.mail; - Original author.</para>
 </listitem>
 <listitem>
-<para>&Neil.Stevens; &Neil.Stevens.mail;</para>
+<para>&Neil.Stevens; &Neil.Stevens.mail; - Code simplification, UI suggestions.</para>
 </listitem>
 <listitem>
 <para>Jim Breen <email>jwb@csse.monash.edu.au</email> - Wrote xjdic, of which &kiten; borrows code, and the xjdic index file generator. Also is main author of edict and kanjidic, which &kiten; essentially require.</para>
@@ -301,11 +436,23 @@
   <para>Paul Temple <email>paul.temple@gmx.net</email> - Port to KConfig XT and bug fixing.</para>
 </listitem>
 <listitem>
-	<para>Joe Kerian <email>jkerian@gmail.com</email> - wrote kiten v4 </para>
+  <para>David Vignoni <email>david80v@tin.it</email> - SVG icon.</para>
+</listitem>
+<listitem>
+	<para>Joe Kerian <email>jkerian@gmail.com</email> - KDE4 rewrite.</para>
+</listitem>
+<listitem>
+  <para>Eric Kjeldergaard <email>kjelderg@gmail.com</email> - KDE4 rewrite.</para>
+</listitem>
+<listitem>
+  <para>Daniel E. Moctezuma <email>democtezuma@gmail.com</email> - Deinflection system improvements,
+  dictionary updates for EDICT and KANJIDIC, GUI improvements, Kanji Browser, bug fixes,
+  code polishing and simplification.</para>
 </listitem>
 </itemizedlist>
 
 <para>Documentation copyright 2002, &Jason.Katz-Brown;</para>
+<para>Documentation copyright 2012, Daniel E. Moctezuma</para>
 
 <!-- TRANS:CREDIT_FOR_TRANSLATORS -->
 
@@ -322,5 +469,5 @@
 
 </appendix> -->
 
-&documentation.index; 
+&documentation.index;
 </book>

=== added file 'doc/introduction.png'
Binary files doc/introduction.png and doc/introduction.png differ
=== added file 'doc/kanji_information.png'
Binary files doc/kanji_information.png and doc/kanji_information.png differ
=== added file 'doc/kanji_list.png'
Binary files doc/kanji_list.png and doc/kanji_list.png differ
=== removed file 'doc/kiten1.png'
Binary files doc/kiten1.png and doc/kiten1.png differ
=== removed file 'doc/kiten2.png'
Binary files doc/kiten2.png and doc/kiten2.png differ
=== added file 'doc/looking_up_words.png'
Binary files doc/looking_up_words.png and doc/looking_up_words.png differ
=== added file 'doc/radical_selector.png'
Binary files doc/radical_selector.png and doc/radical_selector.png differ
=== added file 'doc/search_in_results.png'
Binary files doc/search_in_results.png and doc/search_in_results.png differ
=== added file 'doc/stroke_search.png'
Binary files doc/stroke_search.png and doc/stroke_search.png differ
=== added file 'doc/verb_deinflection.png'
Binary files doc/verb_deinflection.png and doc/verb_deinflection.png differ
=== added file 'doc/with_filtering.png'
Binary files doc/with_filtering.png and doc/with_filtering.png differ
=== added file 'doc/word_type_results.png'
Binary files doc/word_type_results.png and doc/word_type_results.png differ
=== modified file 'kanjibrowser/kanjibrowserview.cpp'
--- kanjibrowser/kanjibrowserview.cpp	2011-12-24 20:28:27 +0000
+++ kanjibrowser/kanjibrowserview.cpp	2012-04-02 17:58:59 +0000
@@ -86,7 +86,7 @@
     _currentGradeList << grade;
   }
 
-  // Reload our KListWidget widget.
+  // Reload our QListWidget widget.
   reloadKanjiList();
 }
 
@@ -117,7 +117,7 @@
     _currentStrokesList << strokes;
   }
 
-  // Reload our KListWidget widget.
+  // Reload our QListWidget widget.
   reloadKanjiList();
 }
 
@@ -271,9 +271,9 @@
               this,   SLOT( changeGrade( int ) ) );
   connect( _strokes, SIGNAL( currentIndexChanged( int ) ),
                this,   SLOT( changeStrokeCount( int ) ) );
-  connect( _kanjiList, SIGNAL( executed( QListWidgetItem* ) ),
+  connect( _kanjiList, SIGNAL( itemClicked( QListWidgetItem* ) ),
                  this,   SLOT( searchKanji( QListWidgetItem* ) ) );
-  connect( _kanjiList, SIGNAL( executed( QListWidgetItem* ) ),
+  connect( _kanjiList, SIGNAL( itemClicked( QListWidgetItem* ) ),
            _goToKanjiInfo, SIGNAL( triggered() ) );
   connect( goToKanjiList, SIGNAL( triggered() ),
                     this,   SLOT( changeToListPage() ) );

=== modified file 'kanjibrowser/kanjibrowserview.ui'
--- kanjibrowser/kanjibrowserview.ui	2011-12-16 13:14:44 +0000
+++ kanjibrowser/kanjibrowserview.ui	2012-04-02 17:58:59 +0000
@@ -58,7 +58,7 @@
         <widget class="KComboBox" name="_strokes"/>
        </item>
        <item>
-        <widget class="KListWidget" name="_kanjiList">
+        <widget class="QListWidget" name="_kanjiList">
          <property name="sizePolicy">
           <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
            <horstretch>0</horstretch>
@@ -70,8 +70,17 @@
            <pointsize>24</pointsize>
           </font>
          </property>
+         <property name="editTriggers">
+          <set>QAbstractItemView::NoEditTriggers</set>
+         </property>
+         <property name="showDropIndicator" stdset="0">
+          <bool>false</bool>
+         </property>
          <property name="dragDropMode">
-          <enum>QAbstractItemView::DragDrop</enum>
+          <enum>QAbstractItemView::NoDragDrop</enum>
+         </property>
+         <property name="selectionMode">
+          <enum>QAbstractItemView::NoSelection</enum>
          </property>
          <property name="resizeMode">
           <enum>QListView::Adjust</enum>
@@ -103,11 +112,6 @@
  </widget>
  <customwidgets>
   <customwidget>
-   <class>KListWidget</class>
-   <extends>QListWidget</extends>
-   <header>klistwidget.h</header>
-  </customwidget>
-  <customwidget>
    <class>KComboBox</class>
    <extends>QComboBox</extends>
    <header>kcombobox.h</header>

